com.jscape.inet.mft.audit.reporting.metricses

## Class DateMetricsBase

- java.lang.Object
- - com.jscape.inet.mft.audit.reporting.metricses.DateMetricsBase

-     public class DateMetricsBase
      extends java.lang.Object

  Author:
    Alex Usun

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateMetricsBase(DateMetricsBase that)`
    `DateMetricsBase(int innerPeriods)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[]` | `getAverageDownloadElapsed()` Returns average download elapsed data.
    `double[]` | `getAverageDownloads()` Returns average downloads data.
    `double[]` | `getAverageDownloadThroughputs()` Returns average throughputs data.
    `double[]` | `getAverageUploadElapsed()` Returns average upload elapsed data.
    `double[]` | `getAverageUploads()` Returns average uploads data.
    `double[]` | `getAverageUploadThroughputs()` Returns average throughputs data.
    `int` | `getCounter()` Returns outer periods counter.
    `double[]` | `getDownloadElapsed()`
    `double[]` | `getDownloads()` Returns download data.
    `double[]` | `getDownloadThroughputs()`
    `int` | `getInnerPeriods()` Returns inner periods count.
    `double[]` | `getUploadElapsed()`
    `double[]` | `getUploads()` Returns uploads data.
    `double[]` | `getUploadThroughputs()`
    `void` | `reset()`
    `void` | `setCounter(int counter)` Sets outer periods counter.
    `void` | `setDownloadElapsed(double[] value)`
    `void` | `setDownloads(double[] value)` Sets download data.
    `void` | `setDownloadThroughputs(double[] value)`
    `void` | `setUploadElapsed(double[] value)`
    `void` | `setUploads(double[] uploads)` Sets uploads data.
    `void` | `setUploadThroughputs(double[] value)`
    `void` | `update(com.jscape.inet.mft.LogRecord record, com.jscape.util.Range newPeriod, int valueIndex)`
    `void` | `updatePeriods(java.util.Date recordDate, com.jscape.util.Range newPeriod)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DateMetricsBase

          public DateMetricsBase(int innerPeriods)

    - #### DateMetricsBase

          public DateMetricsBase(DateMetricsBase that)

  - ### Method Detail

    - #### getInnerPeriods

          public int getInnerPeriods()

      Returns inner periods count.
      Returns:
        inner periods count

    - #### getUploads

          public double[] getUploads()

      Returns uploads data.
      Returns:
        uploads data

    - #### setUploads

          public void setUploads(double[] uploads)

      Sets uploads data.
      Parameters:
        `uploads` - uploads data

    - #### getDownloads

          public double[] getDownloads()

      Returns download data.
      Returns:
        download data

    - #### setDownloads

          public void setDownloads(double[] value)

      Sets download data.
      Parameters:
        `value` - download data

    - #### getUploadElapsed

          public double[] getUploadElapsed()

    - #### setUploadElapsed

          public void setUploadElapsed(double[] value)

    - #### getDownloadElapsed

          public double[] getDownloadElapsed()

    - #### setDownloadElapsed

          public void setDownloadElapsed(double[] value)

    - #### getUploadThroughputs

          public double[] getUploadThroughputs()

    - #### setUploadThroughputs

          public void setUploadThroughputs(double[] value)

    - #### getDownloadThroughputs

          public double[] getDownloadThroughputs()

    - #### setDownloadThroughputs

          public void setDownloadThroughputs(double[] value)

    - #### getAverageUploads

          public double[] getAverageUploads()

      Returns average uploads data.
      Returns:
        average uploads data

    - #### getAverageDownloads

          public double[] getAverageDownloads()

      Returns average downloads data.
      Returns:
        average downloads data

    - #### getAverageUploadElapsed

          public double[] getAverageUploadElapsed()

      Returns average upload elapsed data.
      Returns:
        average upload elapsed data

    - #### getAverageDownloadElapsed

          public double[] getAverageDownloadElapsed()

      Returns average download elapsed data.
      Returns:
        average download elapsed data

    - #### getAverageUploadThroughputs

          public double[] getAverageUploadThroughputs()

      Returns average throughputs data.
      Returns:
        average throughputs data

    - #### getAverageDownloadThroughputs

          public double[] getAverageDownloadThroughputs()

      Returns average throughputs data.
      Returns:
        average throughputs data

    - #### getCounter

          public int getCounter()

      Returns outer periods counter.
      Returns:
        outer periods counter

    - #### setCounter

          public void setCounter(int counter)

      Sets outer periods counter.
      Parameters:
        `counter` - outer periods counter

    - #### update

          public void update(com.jscape.inet.mft.LogRecord record,
                             com.jscape.util.Range newPeriod,
                             int valueIndex)

    - #### reset

          public void reset()

    - #### updatePeriods

          public void updatePeriods(java.util.Date recordDate,
                                    com.jscape.util.Range newPeriod)

Copyright © JSCAPE LLC. 1999-2019. All Rights Reserved